/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*
   This file is included from both C source and the NT installation compiler.
   Because of that, no ifdefs are allowed, and strings must be simple strings
   (not concatenated).

   Because macros called PERSONAL_VERSION and ENTERPRISE_VERSION already
   exist, the PRODUCT_VERSION define has _DEF appended.
 */


/*
 * (miodrag) Note: BASE_VERSION_DEF and MCC_VERSION_DEF are used by SETUPSDK
 * build scripts as SETUP_BASE and setup svrcore versions
 */
#define BASE_VERSION_DEF "1.0"
#define BASE_VERSION_STRING "Fedora Base components/1.0"

#define MCC_VERSION_DEF "1.0"
#define MCC_VERSION_STRING "Fedora Console/1.0"

#define ADMSERV_VERSION_DEF "1.0"
#define ADMSERV_VERSION_STRING "Fedora/1.0"

#define VI_COMPANYNAME "Fedora Project\0"
#define VI_COPYRIGHT   "Copyright (C) 2005 Red Hat, Inc.\0"
