/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/

#ifndef SETUPINST_H
#define SETUPINST_H
#include "global.h"
            
#ifdef __cplusplus
extern "C" {
#endif
   
NSAPI_EXTERN int setupVerifyAdminDomain (const char *ldapURL, const char * szAdminDomain);
NSAPI_EXTERN int setupVersionCompare(const char *ver1, const char *ver2);
NSAPI_EXTERN int setupSecurityCompare(const char *sec1, const char *sec2);
NSAPI_EXTERN int setupRevisionCompare(const char *rev1, const char *rev2);
NSAPI_EXTERN int setupBuildCompare(const char *b1, const char *b2);
NSAPI_EXTERN void setupUpdateRegistration (const char *nickName, const char *ldapURL, const char *ldapUser, const char *ldapPwd);
NSAPI_EXTERN char *setupRawText2String (const char *text);

#ifdef __cplusplus
}
#endif

#endif

