#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation version
# 2.1 of the License.
#  
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#  
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
# This file contains the version definitions for all components used in the build.  It
# should be COMPLETELY AND TOTALLY SELF CONTAINED e.g. no references to macros defined
# outside of this file.

# The XXX_DIR OR XXX_VERSDIR or XXX_COMP or XXX_COMP_DIR macros are the name of the
# base directory for the component under the main components directory
# for example, the LDAP SDK component directory is
# $(COMPONENTS_DIR)/$(LDAPCOMP_DIR) == /share/builds/components/ldapsdk31

# the XXX_RELDATE or XXX_VERSION macros are the name of the subdirectory under
# the component directory where the specific version can be found.  This is
# usually in the form of YYYYMMDD, although NSPR et. al use a different
# naming scheme.
# NSPR
ifndef NSPR_RELDATE
  NSPR_RELDATE = v4.4.1
endif

# SECURITY (NSS) LIBRARY
ifndef SECURITY_RELDATE
  SECURITY_RELDATE = NSS_3_9_3_RTM
endif

# DBM Library
ifndef DBM_RELDATE
  DBM_RELDATE = DBM_1_61_RTM
endif

# LDAP SDK
ifndef LDAP_RELDATE
  LDAP_RELDATE = v5.16
endif
ifndef LDAPCOMP_DIR
  LDAPCOMP_DIR=ldapsdk50
endif
ifndef LDAP_SUF
  LDAP_SUF=50
endif

# infozip utilities
ifndef INFOZIP_RELDATE
  INFOZIP_RELDATE = CMSTOOLS_7_x
endif

# server core
ifndef SVRCORE_RELDATE
  SVRCORE_RELDATE = SVRCORE_4_0_RTM
endif
